Subject: Re: 2.6.23-mm1 thread exit_group issue

From: Andrew Morton <[email-masked]>
Date: Sat, 13 Oct 2007 10:49:43 -0700

On Sat, 13 Oct 2007 16:02:30 +0400 Oleg Nesterov <[email-masked]> wrote:

> On 10/13, Oleg Nesterov wrote:
> >
> > On 10/12, Andrew Morton wrote:
> > >
> > > Bisection shows that this problem is caused by these two patches:
> > >
> > > pid-namespaces-allow-cloning-of-new-namespace.patch
> > 
> > This? http://marc.info/?l=linux-mm-commits&m=118712242002039
> > 
> > Pavel, this patch has a subtle difference compared to what we discussed on
> > containers list. It moves put_user(parent_tidptr) from copy_process() to
> > do_fork(), so we don't report child's pid if copy_process() failed. I do
> > not think this is bad, but Eric seems to disagree with such a change.
> > 
> > But I can't understand why Andrew sees the same problem _after_ this patch!
> >
> > And which patch removed the "put_user(nr, parent_tidptr)" chunk?
> 
> Aha. I am looking at
> 	ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.23/2.6.23-mm1/broken-out/pid-namespaces-allow-cloning-of-new-namespace.patch
> 
> Looks like the original patch was damaged somehow, it doesn't have the
> "put_user(nr, parent_tidptr)" code.
> 

It does have it, except it moved somewhere else.  That would have been me
trying to fix yet another reject storm.  I thought I had that one right. 
Could someone fix it please?